# Install abusesa-sensor.
#
class abusesa::sensor {

  if ! $abusesa_sensor_package {
    if $::abusesa_sensor_package_latest {
      $abusesa_sensor_package = $::abusesa_sensor_package_latest
    } else {
      fail('Must define $abusesa_sensor_package or $abusesa_sensor_package_latest')
    }
  }

  file { '/usr/local/src/abusesa-sensor.tar.gz':
    ensure => present,
    mode   => '0644',
    owner  => 'root',
    group  => $::operatingsystem ? {
      'openbsd' => 'wheel',
      default   => 'root',
    },
    source => "puppet:///files/packages/${abusesa_sensor_package}",
  } ->
  util::extract::tar { '/usr/local/src/abusesa-sensor':
    ensure => latest,
    strip  => '1',
    source => '/usr/local/src/abusesa-sensor.tar.gz',
  } ->
  python::setup::install { '/usr/local/src/abusesa-sensor': }

  Python::Setup::Install['/usr/local/src/abusesa'] ->
  Python::Setup::Install['/usr/local/src/abusesa-sensor']

}
